Rasa X is not starting

Hi everyone, When I’m starting rasa x, it is showing the following error? Can anyone help me to solve this errror?

Starting Rasa X in local mode… � Traceback (most recent call last): File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\engine\base.py”, line 2285, in _wrap_pool_connect return fn() File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\pool\base.py”, line 303, in unique_connection return _ConnectionFairy._checkout(self) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\pool\base.py”, line 773, in _checkout fairy = _ConnectionRecord.checkout(pool) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\pool\base.py”, line 492, in checkout rec = pool._do_get() File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\pool\impl.py”, line 238, in _do_get return self._create_connection() File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\pool\base.py”, line 308, in _create_connection return _ConnectionRecord(self) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\pool\base.py”, line 437, in init self.__connect(first_connect_check=True) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\pool\base.py”, line 664, in __connect pool.dispatch.connect(self.connection, self) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\event\attr.py”, line 261, in call fn(*args, **kw) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\rasax\community\database\utils.py”, line 92, in _on_database_connected set_sqlite_pragmas(dbapi_connection, True) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\rasax\community\database\utils.py”, line 115, in set_sqlite_pragmas cursor.execute(“PRAGMA journal_mode=WAL”) sqlite3.DatabaseError: file is not a database

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\rasa\cli\x.py”, line 431, in run_locally args, project_path, args.data, token=rasa_x_token, config_path=config_path File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\rasax\community\local.py”, line 192, in main sql_migrations.run_migrations(session) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\rasax\community\sql_migrations.py”, line 25, in run_migrations _run_schema_migrations(session) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\rasax\community\sql_migrations.py”, line 41, in _run_schema_migrations _run_alembic_migration(alembic_config) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\rasax\community\sql_migrations.py”, line 65, in _run_alembic_migration command.upgrade(alembic_config, target_revision) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\alembic\command.py”, line 298, in upgrade script.run_env() File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\alembic\script\base.py”, line 489, in run_env util.load_python_file(self.dir, “env.py”) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\alembic\util\pyfiles.py”, line 98, in load_python_file module = load_module_py(module_id, path) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\alembic\util\compat.py”, line 184, in load_module_py spec.loader.exec_module(module) File “”, line 678, in exec_module File “”, line 219, in _call_with_frames_removed File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 85, in run_migrations_online() File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 62, in run_migrations_online with connectable.connect() as connection: File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\engine\base.py”, line 2218, in connect return self._connection_cls(self, **kwargs) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\engine\base.py”, line 103, in init else engine.raw_connection() File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\engine\base.py”, line 2318, in raw_connection self.pool.unique_connection, _connection File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\engine\base.py”, line 2289, in wrap_pool_connect e, dialect, self File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\engine\base.py”, line 1555, in handle_dbapi_exception_noconnection sqlalchemy_exception, with_traceback=exc_info[2], from=e File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\util\compat.py”, line 178, in raise raise exception File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\engine\base.py”, line 2285, in _wrap_pool_connect return fn() File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\pool\base.py”, line 303, in unique_connection return _ConnectionFairy._checkout(self) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\pool\base.py”, line 773, in _checkout fairy = _ConnectionRecord.checkout(pool) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\pool\base.py”, line 492, in checkout rec = pool._do_get() File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\pool\impl.py”, line 238, in _do_get return self._create_connection() File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\pool\base.py”, line 308, in _create_connection return _ConnectionRecord(self) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\pool\base.py”, line 437, in init self.__connect(first_connect_check=True) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\pool\base.py”, line 664, in __connect pool.dispatch.connect(self.connection, self) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\sqlalchemy\event\attr.py”, line 261, in call fn(*args, **kw) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\rasax\community\database\utils.py”, line 92, in _on_database_connected set_sqlite_pragmas(dbapi_connection, True) File “c:\programdata\anaconda3\envs\my_chatbot\lib\site-packages\rasax\community\database\utils.py”, line 115, in set_sqlite_pragmas cursor.execute(“PRAGMA journal_mode=WAL”) sqlalchemy.exc.DatabaseError: (sqlite3.DatabaseError) file is not a database (Background on this error at: http://sqlalche.me/e/4xp6)

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

Hi Have you been able to solve this? Can you provide the versions of Rasa X, Rasa, and Python you’re running?